<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports OSB exporting by rending the exportable items.
 *
 * @package    OSB
 * @subpackage Export
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Export extends ORMOSB {
	protected $_serialize_column = array(
		'map_data',
	);

	public function list_itemsnoexport() {
		$result = array();

		$mo = ORM::factory('module',array('name'=>'product'));
		$p = ORM::factory('product')
			->order_by('id');

		foreach ($p->find_all() as $po)
			if (! ORM::factory('export')->where('module_id','=',$mo->id)->where('item_id','=',$po->id)->find()->loaded())
				$result[$po->id] = $po;

		return $result;
	}
}
?>
